CMSIS-Driver: SAI Data Size

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
SAI Data Size
SAI Configuration

Defines data size in bits (per channel/slot). More...

## Macros

#define | ARM_SAI_DATA_SIZE(n) ((((n)-1UL)&0x1FUL) << ARM_SAI_DATA_SIZE_Pos)
| Data size in bits (8..32) More...

## Description

Defines data size in bits (per channel/slot).

## Macro Definition Documentation

#define ARM_SAI_DATA_SIZE | ( |  | n | ) | ((((n)-1UL)&0x1FUL) << ARM_SAI_DATA_SIZE_Pos)

Data size in bits (8..32)